#196 Cannot start DirSync 1.45 in Ubuntu 12.04

closed
O. Givi
5
2012-09-25
2012-09-19
Nekhelesh
No

I download DIrSync 1.45 and extracted it. After making the jar file executable, I tried running it by double-clicking and running it from the terminal.

Command Used:
java -jar dirsyncpro.jar

I however get the following error message.

Exception in thread "main" java.lang.UnsupportedClassVersionError: dirsyncpro/DirSyncPro : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClass(ClassLoader.java:634)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:277)
at java.net.URLClassLoader.access$000(URLClassLoader.java:73)
at java.net.URLClassLoader$1.run(URLClassLoader.java:212)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:205)
at java.lang.ClassLoader.loadClass(ClassLoader.java:321)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:294)
at java.lang.ClassLoader.loadClass(ClassLoader.java:266)
Could not find the main class: dirsyncpro/DirSyncPro. Program will exit.

I have OpenJDK 6 and 7 installed on my system by default like any other Ubuntu 12.04 system.

Discussion

  • O. Givi

    O. Givi - 2012-09-25

    It seems you're using Java 1.6 to run DirSync Pro. You need Java 1.7 or above to run version 1.45. If you have both Java 1.6 and 1.6 on your system, you may head a conflict. Please make sure which JVM you are using to run DirSync Pro. You may hit java -version on the command line to make sure which JVM is initiated.

     
  • O. Givi

    O. Givi - 2012-09-25
    • assigned_to: nobody --> ogivi
    • status: open --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks